Skip to main content
GET
Get an integration

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

integration_id
string
required

The unique integration identifier. A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Response

An integration object.

An LLM integration (type=LLM).

id
string
required

The unique identifier for the integration.

type
enum<string>
required

Discriminator identifying an LLM integration.

Available options:
LLM
name
string
required

The integration name. Unique per (account, type).

scopings
object[]
required

Visibility scoping rules. Account-wide when empty.

created_at
string<date-time>
required

When the integration was created.

updated_at
string<date-time>
required

When the integration was last updated.

created_by_user_id
string
required

Unique identifier of the user who created the integration.

config
object
required

Config for an OpenAI LLM integration.